[arch-commits] CVS update of extra/devel/gcc-objc (3 files)

Jan de Groot jgc at archlinux.org
Mon Sep 17 17:32:47 UTC 2007


    Date: Monday, September 17, 2007 @ 13:32:47
  Author: jgc
    Path: /home/cvs-extra/extra/devel/gcc-objc

   Added: PKGBUILD (1.1) gcc-hash-style-both.patch (1.1)
          gcc_pure64.patch (1.1)

upgpkg: gcc-objc 4.2.1-1
Add missing objc compiler/runtime package


---------------------------+
 PKGBUILD                  |   54 +++++++++++++++++
 gcc-hash-style-both.patch |  136 ++++++++++++++++++++++++++++++++++++++++++++
 gcc_pure64.patch          |   26 ++++++++
 3 files changed, 216 insertions(+)


Index: extra/devel/gcc-objc/PKGBUILD
diff -u /dev/null extra/devel/gcc-objc/PKGBUILD:1.1
--- /dev/null	Mon Sep 17 13:32:47 2007
+++ extra/devel/gcc-objc/PKGBUILD	Mon Sep 17 13:32:47 2007
@@ -0,0 +1,54 @@
+# $Id: PKGBUILD,v 1.1 2007/09/17 17:32:47 jgc Exp $
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=gcc-objc
+pkgver=4.2.1
+pkgrel=1
+#_snapshot=4.2.1-RC-20070703
+pkgdesc="The GNU Fortran Compiler"
+arch=(i686 x86_64)
+license=('GPL')
+url="http://gcc.gnu.org"
+depends=('gcc-libs')
+makedepends=('gcc')
+options=('!libtool' '!emptydirs')
+source=(ftp://gcc.gnu.org/pub/gcc/releases/gcc-${pkgver}/gcc-{core,objc}-${pkgver}.tar.bz2
+	#ftp://gcc.gnu.org/pub/gcc/snapshots/${_snapshot}/gcc-{core,g++,fortran}-${_snapshot}.tar.bz2
+	gcc_pure64.patch
+	gcc-hash-style-both.patch)
+md5sums=('88007169104d247eccb07dc5de2e0137'
+         '9e0a37826d496541afe2d453fd831a8a'
+         '8fc86e4c4d1f4ec8b226307d39fbd9e3'
+         '611fbd749019f0ce2fad36fda17e93dd')
+
+build() {
+  if ! locale -a | grep ^de_DE; then
+    echo "You need the de_DE locale to build gcc."
+    return 1
+  fi
+  cd ${startdir}/src/gcc-${pkgver}
+#  cd ${startdir}/src/gcc-${_snapshot}
+  # Don't install libiberty
+  sed -i 's/install_to_$(INSTALL_DEST) //' libiberty/Makefile.in
+  # Don't run fixincludes
+  sed -i -e 's@\./fixinc\.sh at -c true@' gcc/Makefile.in
+  if [ "${CARCH}" = "x86_64" ]; then
+    patch -Np1 -i ../gcc_pure64.patch || return 1
+  fi
+  patch -Np0 -i ${startdir}/src/gcc-hash-style-both.patch || return 1
+
+  echo ${pkgver} > gcc/BASE-VER
+
+  mkdir build
+  cd build
+  ../configure --prefix=/usr --enable-shared \
+     --enable-languages=objc --enable-threads=posix --enable-__cxa_atexit \
+     --disable-multilib --libdir=/usr/lib --libexecdir=/usr/lib \
+     --enable-clocale=gnu --with-tune=generic
+  make || return 1
+  make -j1 DESTDIR=${startdir}/pkg install-target-libobjc
+  cd gcc
+  make -j1 DESTDIR=${startdir}/pkg lang.install-common lang.install-man
+  mkdir -p ${startdir}/pkg/usr/lib/gcc/${CHOST}/${pkgver}
+  install -m755 cc1obj ${startdir}/pkg/usr/lib/gcc/${CHOST}/${pkgver}/
+}
Index: extra/devel/gcc-objc/gcc-hash-style-both.patch
diff -u /dev/null extra/devel/gcc-objc/gcc-hash-style-both.patch:1.1
--- /dev/null	Mon Sep 17 13:32:47 2007
+++ extra/devel/gcc-objc/gcc-hash-style-both.patch	Mon Sep 17 13:32:47 2007
@@ -0,0 +1,136 @@
+2006-07-11  Jakub Jelinek  <jakub at redhat.com>
+
+	* config/i386/linux.h (LINK_SPEC): Add --hash-style=both.
+	* config/i386/linux64.h (LINK_SPEC): Likewise.
+	* config/rs6000/sysv4.h (LINK_OS_LINUX_SPEC): Likewise.
+	* config/rs6000/linux64.h (LINK_OS_LINUX_SPEC32,
+	LINK_OS_LINUX_SPEC64): Likewise.
+	* config/s390/linux.h (LINK_SPEC): Likewise.
+	* config/ia64/linux.h (LINK_SPEC): Likewise.
+	* config/sparc/linux.h (LINK_SPEC): Likewise.
+	* config/sparc/linux64.h (LINK_SPEC, LINK_ARCH32_SPEC,
+	LINK_ARCH64_SPEC): Likewise.
+	* config/alpha/linux-elf.h (LINK_SPEC): Likewise.
+
+--- gcc/config/alpha/linux-elf.h.orig	2006-12-11 13:02:43.396229000 +0100
++++ gcc/config/alpha/linux-elf.h	2006-12-11 13:03:10.336229000 +0100
+@@ -40,7 +40,7 @@
+ 
+ #define ELF_DYNAMIC_LINKER	LINUX_DYNAMIC_LINKER
+ 
+-#define LINK_SPEC "-m elf64alpha %{G*} %{relax:-relax}		\
++#define LINK_SPEC "-m elf64alpha --hash-style=both %{G*} %{relax:-relax}	\
+   %{O*:-O3} %{!O*:-O1}						\
+   %{shared:-shared}						\
+   %{!shared:							\
+--- gcc/config/s390/linux.h.orig	2006-12-11 13:02:43.396229000 +0100
++++ gcc/config/s390/linux.h	2006-12-11 13:03:10.336229000 +0100
+@@ -78,7 +78,7 @@
+ 
+ #undef  LINK_SPEC
+ #define LINK_SPEC \
+-  "%{m31:-m elf_s390}%{m64:-m elf64_s390} \
++  "%{m31:-m elf_s390}%{m64:-m elf64_s390} --hash-style=both \
+    %{shared:-shared} \
+    %{!shared: \
+       %{static:-static} \
+--- gcc/config/sparc/linux.h.orig	2006-12-11 13:02:43.396229000 +0100
++++ gcc/config/sparc/linux.h	2006-12-11 13:03:10.336229000 +0100
+@@ -133,7 +133,7 @@
+ 
+ 
+ #undef  LINK_SPEC
+-#define LINK_SPEC "-m elf32_sparc -Y P,/usr/lib %{shared:-shared} \
++#define LINK_SPEC "-m elf32_sparc --hash-style=both -Y P,/usr/lib %{shared:-shared} \
+   %{!mno-relax:%{!r:-relax}} \
+   %{!shared: \
+     %{!ibcs: \
+--- gcc/config/sparc/linux64.h.orig	2006-12-11 13:02:43.396229000 +0100
++++ gcc/config/sparc/linux64.h	2006-12-11 13:03:10.336229000 +0100
+@@ -167,7 +167,7 @@
+   { "link_arch_default", LINK_ARCH_DEFAULT_SPEC },	  \
+   { "link_arch",	 LINK_ARCH_SPEC },
+ 
+-#define LINK_ARCH32_SPEC "-m elf32_sparc -Y P,/usr/lib %{shared:-shared} \
++#define LINK_ARCH32_SPEC "-m elf32_sparc --hash-style=both -Y P,/usr/lib %{shared:-shared} \
+   %{!shared: \
+     %{!ibcs: \
+       %{!static: \
+@@ -176,7 +176,7 @@
+         %{static:-static}}} \
+ "
+ 
+-#define LINK_ARCH64_SPEC "-m elf64_sparc -Y P,/usr/lib64 %{shared:-shared} \
++#define LINK_ARCH64_SPEC "-m elf64_sparc --hash-style=both -Y P,/usr/lib64 %{shared:-shared} \
+   %{!shared: \
+     %{!ibcs: \
+       %{!static: \
+@@ -257,7 +257,7 @@
+ #else /* !SPARC_BI_ARCH */
+ 
+ #undef LINK_SPEC
+-#define LINK_SPEC "-m elf64_sparc -Y P,/usr/lib64 %{shared:-shared} \
++#define LINK_SPEC "-m elf64_sparc --hash-style=both -Y P,/usr/lib64 %{shared:-shared} \
+   %{!shared: \
+     %{!ibcs: \
+       %{!static: \
+--- gcc/config/i386/linux.h.orig	2006-12-11 13:02:43.396229000 +0100
++++ gcc/config/i386/linux.h	2006-12-11 13:03:10.336229000 +0100
+@@ -109,7 +109,7 @@
+   { "dynamic_linker", LINUX_DYNAMIC_LINKER }
+ 
+ #undef	LINK_SPEC
+-#define LINK_SPEC "-m %(link_emulation) %{shared:-shared} \
++#define LINK_SPEC "-m %(link_emulation) --hash-style=both %{shared:-shared} \
+   %{!shared: \
+     %{!ibcs: \
+       %{!static: \
+--- gcc/config/i386/linux64.h.orig	2006-12-11 13:02:43.396229000 +0100
++++ gcc/config/i386/linux64.h	2006-12-11 13:03:51.046229000 +0100
+@@ -53,7 +53,7 @@
+ #define GLIBC_DYNAMIC_LINKER64 "/lib64/ld-linux-x86-64.so.2"
+ 
+ #undef	LINK_SPEC
+-#define LINK_SPEC "%{!m32:-m elf_x86_64} %{m32:-m elf_i386} \
++#define LINK_SPEC "%{!m32:-m elf_x86_64} %{m32:-m elf_i386} --hash-style=both \
+   %{shared:-shared} \
+   %{!shared: \
+     %{!static: \
+--- gcc/config/ia64/linux.h.orig	2006-12-11 13:02:43.406229000 +0100
++++ gcc/config/ia64/linux.h	2006-12-11 13:03:10.346229000 +0100
+@@ -40,7 +40,7 @@
+ #define GLIBC_DYNAMIC_LINKER "/lib/ld-linux-ia64.so.2"
+ 
+ #undef LINK_SPEC
+-#define LINK_SPEC "\
++#define LINK_SPEC "--hash-style=both \
+   %{shared:-shared} \
+   %{!shared: \
+     %{!static: \
+--- gcc/config/rs6000/sysv4.h.orig	2006-12-11 13:02:43.406229000 +0100
++++ gcc/config/rs6000/sysv4.h	2006-12-11 13:03:10.346229000 +0100
+@@ -908,7 +908,7 @@
+ #define LINUX_DYNAMIC_LINKER \
+   CHOOSE_DYNAMIC_LINKER (GLIBC_DYNAMIC_LINKER, UCLIBC_DYNAMIC_LINKER)
+ 
+-#define LINK_OS_LINUX_SPEC "-m elf32ppclinux %{!shared: %{!static: \
++#define LINK_OS_LINUX_SPEC "-m elf32ppclinux --hash-style=both %{!shared: %{!static: \
+   %{rdynamic:-export-dynamic} \
+   %{!dynamic-linker:-dynamic-linker " LINUX_DYNAMIC_LINKER "}}}"
+ 
+--- gcc/config/rs6000/linux64.h.orig	2006-12-11 13:02:43.406229000 +0100
++++ gcc/config/rs6000/linux64.h	2006-12-11 13:03:10.346229000 +0100
+@@ -351,11 +351,11 @@
+   CHOOSE_DYNAMIC_LINKER (GLIBC_DYNAMIC_LINKER64, UCLIBC_DYNAMIC_LINKER64)
+ 
+ 
+-#define LINK_OS_LINUX_SPEC32 "-m elf32ppclinux %{!shared: %{!static: \
++#define LINK_OS_LINUX_SPEC32 "-m elf32ppclinux --hash-style=both %{!shared: %{!static: \
+   %{rdynamic:-export-dynamic} \
+   %{!dynamic-linker:-dynamic-linker " LINUX_DYNAMIC_LINKER32 "}}}"
+ 
+-#define LINK_OS_LINUX_SPEC64 "-m elf64ppc %{!shared: %{!static: \
++#define LINK_OS_LINUX_SPEC64 "-m elf64ppc --hash-style=both %{!shared: %{!static: \
+   %{rdynamic:-export-dynamic} \
+   %{!dynamic-linker:-dynamic-linker " LINUX_DYNAMIC_LINKER64 "}}}"
+ 
Index: extra/devel/gcc-objc/gcc_pure64.patch
diff -u /dev/null extra/devel/gcc-objc/gcc_pure64.patch:1.1
--- /dev/null	Mon Sep 17 13:32:47 2007
+++ extra/devel/gcc-objc/gcc_pure64.patch	Mon Sep 17 13:32:47 2007
@@ -0,0 +1,26 @@
+diff -Naur gcc-4.2.0.orig/gcc/config/i386/linux64.h gcc-4.2.0/gcc/config/i386/linux64.h
+--- gcc-4.2.0.orig/gcc/config/i386/linux64.h	2007-05-16 19:21:19.000000000 -0400
++++ gcc-4.2.0/gcc/config/i386/linux64.h	2007-05-18 17:04:05.000000000 -0400
+@@ -49,8 +49,8 @@
+    When the -shared link option is used a final link is not being
+    done.  */
+ 
+-#define GLIBC_DYNAMIC_LINKER32 "/lib/ld-linux.so.2"
+-#define GLIBC_DYNAMIC_LINKER64 "/lib64/ld-linux-x86-64.so.2"
++#define GLIBC_DYNAMIC_LINKER32 "/lib32/ld-linux.so.2"
++#define GLIBC_DYNAMIC_LINKER64 "/lib/ld-linux-x86-64.so.2"
+ 
+ #undef	LINK_SPEC
+ #define LINK_SPEC "%{!m32:-m elf_x86_64} %{m32:-m elf_i386} \
+diff -Naur gcc-4.2.0.orig/gcc/config/i386/t-linux64 gcc-4.2.0/gcc/config/i386/t-linux64
+--- gcc-4.2.0.orig/gcc/config/i386/t-linux64	2007-05-16 19:21:19.000000000 -0400
++++ gcc-4.2.0/gcc/config/i386/t-linux64	2007-05-18 17:04:36.000000000 -0400
+@@ -6,7 +6,7 @@
+ 
+ MULTILIB_OPTIONS = m64/m32
+ MULTILIB_DIRNAMES = 64 32 
+-MULTILIB_OSDIRNAMES = ../lib64 ../lib
++MULTILIB_OSDIRNAMES = ../lib ../lib32
+ 
+ LIBGCC = stmp-multilib
+ INSTALL_LIBGCC = install-multilib




More information about the arch-commits mailing list